Bug 246595 - multimedia/kodi: update to 18.7.1
Summary: multimedia/kodi: update to 18.7.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Steve Wills
URL:
Keywords: needs-qa, patch
Depends on:
Blocks:
 
Reported: 2020-05-20 07:18 UTC by yzrh
Modified: 2020-07-16 13:37 UTC (History)
6 users (show)

See Also:


Attachments
diff against 17.6 (265.32 KB, patch)
2020-05-20 07:18 UTC, yzrh
no flags Details | Diff
poudriere log for 12.1 amd64 (76.64 KB, text/plain)
2020-06-01 10:21 UTC, Fernando Apesteguía
no flags Details
diff against 214686 (3.52 KB, patch)
2020-06-01 20:17 UTC, yzrh
no flags Details | Diff
diff against 215144 (1.21 KB, patch)
2020-06-01 21:28 UTC, yzrh
no flags Details | Diff
diff against r539491 (137.00 KB, patch)
2020-07-06 07:27 UTC, James French
no flags Details | Diff
Diff against r539491 (Fixed) (265.17 KB, patch)
2020-07-14 01:56 UTC, James French
no flags Details | Diff
diff against 542069 (265.53 KB, patch)
2020-07-14 18:43 UTC, yzrh
no flags Details | Diff
build log of 216443 (185.88 KB, application/gzip)
2020-07-14 18:46 UTC, yzrh
no flags Details
(In reply to Mikael Urankar from comment #20) (302 bytes, patch)
2020-07-16 07:51 UTC, James French
no flags Details | Diff
diff against r542069 (fix use of u_int64_t) (266.29 KB, patch)
2020-07-16 09:29 UTC, yzrh
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description yzrh 2020-05-20 07:18:17 UTC
Created attachment 214686 [details]
diff against 17.6

Any feedback is welcome, as kodi is quite complicated. I will gladly revise the patch if necessary.
Comment 1 Fernando Apesteguía freebsd_committer 2020-06-01 10:21:22 UTC
Created attachment 215126 [details]
poudriere log for 12.1 amd64

Sorry for the late reply and thanks a lot for the patch. This is indeed a complex port.

The patch applies cleanly, but it doesn't build. I attached the poudriere log for 12.1 amd64.

Would you have a lookt at this?

Thanks!
Comment 2 Mikael Urankar freebsd_committer 2020-06-01 13:15:00 UTC
You can probably drop rpi support, I think it requires the vc4kms driver now and you dropped all the rpi/freebsd patches.
Comment 3 yzrh 2020-06-01 20:17:12 UTC
Created attachment 215144 [details]
diff against 214686

Thanks for the log. I tested the fix with different combination of options this time, all built fine. RPI target still needs testing, but I don't have one.
Comment 4 yzrh 2020-06-01 21:19:48 UTC
(In reply to Mikael Urankar from comment #2)
The difference between kodi 17 and 18 is huge, even a different build process. Patches for kodi 17 need to be ported. I will cherry-pick a few when I have the time.
Comment 5 yzrh 2020-06-01 21:28:30 UTC
Created attachment 215149 [details]
diff against 215144

Just a quick version bump to 18.7, I did a testport, it builds fine.
Comment 6 Mikael Urankar freebsd_committer 2020-06-02 08:46:07 UTC
(In reply to yzrh from comment #4)
That's wasted time if vc4 kms is mandatory rpi
Comment 7 yzrh 2020-06-02 10:00:14 UTC
(In reply to Mikael Urankar from comment #6)
Does that mean no accelerated graphics on RPI? What about v3d driver in mesa?
Comment 8 Mikael Urankar freebsd_committer 2020-06-02 18:11:24 UTC
(In reply to yzrh from comment #7)
Not on rpi/aarch64
Comment 9 James French 2020-07-06 07:27:19 UTC
Created attachment 216240 [details]
diff against r539491

Roll-up of previous patches to apply against r539491 (change swig3 to swig).
Comment 10 James French 2020-07-14 01:56:20 UTC
Created attachment 216425 [details]
Diff against r539491 (Fixed)

Previous version lost the patch file removals and will not build against a clean checkout of r539491. Fixed in this patch.
Comment 11 yzrh 2020-07-14 18:43:55 UTC
Created attachment 216443 [details]
diff against 542069
Comment 12 yzrh 2020-07-14 18:46:48 UTC
Created attachment 216444 [details]
build log of 216443
Comment 13 yzrh 2020-07-14 18:55:59 UTC
Patch updated,  swig was moved.  I attached the build log
also,  it's too big without gzipping.
Comment 14 Steve Wills freebsd_committer 2020-07-15 11:54:20 UTC
Thanks for these patches! Testing this, it builds fine now, and runs OK on my desktop using amdgpu driver, but crashes on startup on my laptop with i915 driver. Any ideas or is this a local issue that I should debug later and go ahead and commit this update?
Comment 15 Mikael Urankar freebsd_committer 2020-07-15 12:36:13 UTC
It doesn't build for me:

cd /usr/ports/multimedia/kodi/work/.build/build/platform/linux/storage && /usr/local/bin/ccache /usr/bin/c++   -I/usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia -I/usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia/lib -I/usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia/lib/gtest/include -I/usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia/xbmc -I/usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia/xbmc/platform/linux -I/usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia/xbmc/cores/VideoPlayer -I/usr/ports/multimedia/kodi/work/.build/build -I/usr/local/include/dbus-1.0 -I/usr/local/lib/dbus-1.0/include -I/usr/local/include/python2.7 -I/usr/local/include -I/usr/ports/multimedia/kodi/work/.build/build/cpluff/include -I/usr/ports/multimedia/kodi/work/.build/build/cores/RetroPlayer/messages -I/usr/local/include/freetype2 -I/usr/ports/multimedia/kodi/work/.build/build/libdvd/include -I/usr/local/include/lzo -I/usr/local/include/libdrm  -O2 -pipe -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing  -DLIBICONV_PLUG -Wall -O2 -pipe -DLIBICONV_PLUG -fstack-protector-strong -fno-strict-aliasing  -DLIBICONV_PLUG   -D_LINUX -DTARGET_POSIX -DTARGET_FREEBSD -D__STDC_CONSTANT_MACROS -D_LARGEFILE64_SOURCE -D_FILE_OFFSET_BITS=64 -DHAS_LINUX_NETWORK -DHAVE_STD__U16_STRING=1 -DHAVE_STD__U32_STRING=1 -DHAVE_CHAR16_T=1 -DHAVE_CHAR32_T=1 -DHAVE_STDINT_H=1 -DHAS_BUILTIN_SYNC_ADD_AND_FETCH=1 -DHAS_BUILTIN_SYNC_SUB_AND_FETCH=1 -DHAS_BUILTIN_SYNC_VAL_COMPARE_AND_SWAP=1 -DHAVE_POSIX_FADVISE=1 -DHAVE_LOCALTIME_R=1 -DHAVE_INTTYPES_H=1 -DHAS_DBUS=1 -DHAS_PYTHON=1 -DHAS_GLX=1 -DFFMPEG_VER_SHA=\"4.0\" -I/usr/local/include/fribidi -I/usr/local/include -DHAS_GL=1 -DHAS_EGL=1 -DHAVE_X11=1 -DHAVE_LIBXRANDR=1 -DUSE_LIBUSB=1 -DBIN_INSTALL_PATH=\"/usr/local/lib/kodi\" -DINSTALL_PATH=\"/usr/local/share/kodi\" -std=c++11 -o CMakeFiles/platform_linux_storage.dir/LinuxStorageProvider.cpp.o -c /usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia/xbmc/platform/linux/storage/LinuxStorageProvider.cpp
In file included from /usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia/xbmc/platform/linux/storage/LinuxStorageProvider.cpp:14:
/usr/ports/multimedia/kodi/work/xbmc-18.7.1-Leia/xbmc/platform/linux/storage/UDisks2Provider.h:43:5: error: unknown type name 'u_int64_t'
    u_int64_t m_size = 0;
    ^
1 error generated.
Comment 16 Steve Wills freebsd_committer 2020-07-15 12:37:54 UTC
(In reply to Mikael Urankar from comment #15)
What platform is that on?
Comment 17 Steve Wills freebsd_committer 2020-07-15 12:41:30 UTC
Double checked, it builds OK for me here.
Comment 18 Mikael Urankar freebsd_committer 2020-07-15 12:45:56 UTC
(In reply to Mikael Urankar from comment #15)
it's on amd64, with these options:

# This file is auto-generated by 'make config'.
# Options for kodi-18.7.1
_OPTIONS_READ=kodi-18.7.1
_FILE_COMPLETE_OPTIONS_LIST=AIRPLAY AIRTUNES AVAHI CEC DBUS DOCS DVDCSS LCMS2 LIBBLURAY LIRC NFS OPTICAL SMB UDEV UPNP VAAPI VDPAU WEBSERVER XSLT GBM WAYLAND X11 MARIADB MYSQL PULSEAUDIO SNDIO SSE SSE2 SSE3 SSSE3 SSE4_1 SSE4_2 AVX AVX2
OPTIONS_FILE_UNSET+=AIRPLAY
OPTIONS_FILE_UNSET+=AIRTUNES
OPTIONS_FILE_UNSET+=AVAHI
OPTIONS_FILE_UNSET+=CEC
OPTIONS_FILE_SET+=DBUS
OPTIONS_FILE_UNSET+=DOCS
OPTIONS_FILE_UNSET+=DVDCSS
OPTIONS_FILE_UNSET+=LCMS2
OPTIONS_FILE_UNSET+=LIBBLURAY
OPTIONS_FILE_UNSET+=LIRC
OPTIONS_FILE_UNSET+=NFS
OPTIONS_FILE_UNSET+=OPTICAL
OPTIONS_FILE_UNSET+=SMB
OPTIONS_FILE_UNSET+=UDEV
OPTIONS_FILE_UNSET+=UPNP
OPTIONS_FILE_UNSET+=VAAPI
OPTIONS_FILE_UNSET+=VDPAU
OPTIONS_FILE_UNSET+=WEBSERVER
OPTIONS_FILE_UNSET+=XSLT
OPTIONS_FILE_UNSET+=GBM
OPTIONS_FILE_UNSET+=WAYLAND
OPTIONS_FILE_SET+=X11
OPTIONS_FILE_UNSET+=MARIADB
OPTIONS_FILE_UNSET+=MYSQL
OPTIONS_FILE_UNSET+=PULSEAUDIO
OPTIONS_FILE_UNSET+=SNDIO
OPTIONS_FILE_UNSET+=SSE
OPTIONS_FILE_UNSET+=SSE2
OPTIONS_FILE_UNSET+=SSE3
OPTIONS_FILE_UNSET+=SSSE3
OPTIONS_FILE_UNSET+=SSE4_1
OPTIONS_FILE_UNSET+=SSE4_2
OPTIONS_FILE_UNSET+=AVX
OPTIONS_FILE_UNSET+=AVX2
Comment 19 Steve Wills freebsd_committer 2020-07-15 12:55:57 UTC
(In reply to Steve Wills from comment #14)
My issue seemed to be having libva-intel-driver installed. Removed that and have no issue now.
Comment 20 Mikael Urankar freebsd_committer 2020-07-15 16:55:19 UTC
(In reply to Mikael Urankar from comment #15)
this error happens when OPTICAL is OFF and DBUS is ON
Comment 21 James French 2020-07-16 07:51:33 UTC
Created attachment 216481 [details]
(In reply to Mikael Urankar from comment #20)

(In reply to Mikael Urankar from comment #20)

Attached is a patch against 216443 that makes OPTICAL implied by DBUS and should prevent that particular build failure. It should apply cleanly against any of the 18.7.x patches floating around.
Comment 22 yzrh 2020-07-16 09:29:11 UTC
Created attachment 216483 [details]
diff against r542069 (fix use of u_int64_t)

u_int64_t should really be uint64_t.  Should be fixed now.
Comment 23 commit-hook freebsd_committer 2020-07-16 13:09:27 UTC
A commit references this bug:

Author: swills
Date: Thu Jul 16 13:08:31 UTC 2020
New revision: 542355
URL: https://svnweb.freebsd.org/changeset/ports/542355

Log:
  multimedia/kodi: update to 18.7.1

  PR:		246595
  Submitted by:	yzrh@tuta.io

Changes:
  head/multimedia/kodi/Makefile
  head/multimedia/kodi/distinfo
  head/multimedia/kodi/files/extra-armv6_hal
  head/multimedia/kodi/files/extra-patch-sndio
  head/multimedia/kodi/files/patch-Makefile.include.in
  head/multimedia/kodi/files/patch-cmake_modules_FindSSE.cmake
  head/multimedia/kodi/files/patch-configure.ac
  head/multimedia/kodi/files/patch-lib_cpluff_autogen.sh
  head/multimedia/kodi/files/patch-lib_cpluff_configure.ac
  head/multimedia/kodi/files/patch-m4_xbmc__arch.m4
  head/multimedia/kodi/files/patch-system_settings_rbp2.xml
  head/multimedia/kodi/files/patch-tools_depends_native_JsonSchemaBuilder_Makefile
  head/multimedia/kodi/files/patch-tools_depends_target_ffmpeg_FFmpeg-3.1.11-Krypton-17.5_libavutil_x86_asm.h
  head/multimedia/kodi/files/patch-tools_depends_target_ffmpeg_Makefile
  head/multimedia/kodi/files/patch-tools_depends_target_ffmpeg_autobuild.sh
  head/multimedia/kodi/files/patch-tools_depends_target_libdvdcss_Makefile
  head/multimedia/kodi/files/patch-tools_depends_target_libdvdnav_Makefile
  head/multimedia/kodi/files/patch-tools_depends_target_libdvdread_Makefile
  head/multimedia/kodi/files/patch-xbmc_LangInfo.cpp
  head/multimedia/kodi/files/patch-xbmc_addons_kodi-addon-dev-kit_include_kodi_libXBMC_addon.h
  head/multimedia/kodi/files/patch-xbmc_cores_VideoPlayer_DVDDemuxSPU.cpp
  head/multimedia/kodi/files/patch-xbmc_cores_VideoPlayer_Process_overrides_linux_ProcessInfoLinux.cpp
  head/multimedia/kodi/files/patch-xbmc_dbwrappers_mysqldataset.cpp
  head/multimedia/kodi/files/patch-xbmc_dbwrappers_mysqldataset.h
  head/multimedia/kodi/files/patch-xbmc_guilib_TextureBundleXBT.h
  head/multimedia/kodi/files/patch-xbmc_guilib_XBTF.h
  head/multimedia/kodi/files/patch-xbmc_interfaces_builtins_WeatherBuiltins.cpp
  head/multimedia/kodi/files/patch-xbmc_linux_PlatformDefs.h
  head/multimedia/kodi/files/patch-xbmc_platform_linux_input_LibInputHandler.cpp
  head/multimedia/kodi/files/patch-xbmc_platform_linux_storage_UDisks2Provider.h
  head/multimedia/kodi/files/patch-xbmc_platform_posix_main.cpp
  head/multimedia/kodi/files/patch-xbmc_settings_AdvancedSettings.cpp
  head/multimedia/kodi/files/patch-xbmc_system.h
  head/multimedia/kodi/files/patch-xbmc_threads_platform_pthreads_ThreadImpl.cpp
  head/multimedia/kodi/files/patch-xbmc_utils_CPUInfo.cpp
  head/multimedia/kodi/files/patch-xbmc_utils_CharsetConverter.cpp
  head/multimedia/kodi/files/patch-xbmc_utils_RssReader.cpp
  head/multimedia/kodi/files/patch-xbmc_windowing_Makefile.in
  head/multimedia/kodi/files/patch-xbmc_windowing_WinEvents.cpp
  head/multimedia/kodi/files/patch-xbmc_windowing_WinEventsFreeBSD.cpp
  head/multimedia/kodi/files/patch-xbmc_windowing_WinEventsFreeBSD.h
  head/multimedia/kodi/files/patch-xbmc_windowing_WinEventsX11.cpp
  head/multimedia/kodi/files/patch-xbmc_windowing_WindowingFactory.h
  head/multimedia/kodi/files/patch-xbmc_windowing_egl_EGLNativeTypeAmlogic.cpp
  head/multimedia/kodi/files/patch-xbmc_windowing_es__scancodes.h
  head/multimedia/kodi/files/patch-xbmc_windowing_rpi_WinSystemRpi.cpp
  head/multimedia/kodi/files/pkg-message.in
  head/multimedia/kodi/pkg-plist
Comment 24 Steve Wills freebsd_committer 2020-07-16 13:17:40 UTC
Committed, thanks!
Comment 25 Bernhard Froehlich freebsd_committer 2020-07-16 13:36:38 UTC
Thanks for the big kodi update! It seems everyone forgot about kodi addon ports. At least those 3 are broken now:

multimedia/kodi-addon-peripheral-joystick
multimedia/kodi-addon-pvr-hts
multimedia/kodi-addon-pvr-iptvsimple

I will inform the maintainer of the first one and fix the others (since I'm maintaining them).
Comment 26 James French 2020-07-16 13:37:46 UTC
(In reply to Bernhard Froehlich from comment #25)

Hold fire, I have patches for kodi-platform and kodi-addon-pvr-hts ready to go that I am in the process of submitting.